## Modulemd.Component (Private) Modulemd.Component (Private) — ModulemdComponent methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

gboolean | modulemd_component_parse_buildafter ()
gboolean | modulemd_component_parse_buildonly ()
gboolean | modulemd_component_has_buildafter ()
GHashTable * | modulemd_component_get_buildafter_internal ()
gboolean | modulemd_component_emit_yaml_start ()
gboolean | modulemd_component_emit_yaml_build_common ()
gboolean | modulemd_component_equals_wrapper ()

## Description

## Functions

### modulemd_component_parse_buildafter ()

    gboolean
    modulemd_component_parse_buildafter (ModulemdComponent *self,
                                         yaml_parser_t *parser,
                                         GError **error);

#### Parameters

self | This ModulemdComponent object. |
parser | A libyaml parser object positioned just after the "buildafter" key in a Component section of a YAML document. | [inout]
error | A GError that will return the reason for a parse failure. | [out]

#### Returns

TRUE if the buildafter list could be parsed successfully.

Since: 2.2

### modulemd_component_parse_buildonly ()

    gboolean
    modulemd_component_parse_buildonly (ModulemdComponent *self,
                                        yaml_parser_t *parser,
                                        GError **error);

#### Parameters

self | This ModulemdComponent object. |
parser | A libyaml parser object positioned just after the "buildonly" key in a Component section of a YAML document. | [inout]
error | A GError that will return the reason for a parse failure. | [out]

#### Returns

TRUE if the buildonly list could be parsed successfully.

Since: 2.2

### modulemd_component_has_buildafter ()

    gboolean
    modulemd_component_has_buildafter (ModulemdComponent *self);

#### Parameters

self | This ModulemdComponent object. |

#### Returns

TRUE if one or more buildafter entries have been added to this component.

Since: 2.2

### modulemd_component_get_buildafter_internal ()

    GHashTable *
    modulemd_component_get_buildafter_internal
                                   (ModulemdComponent *self);

#### Parameters

self | This ModulemdComponent object. |

#### Returns

The internal hash table representing the set of buildafter dependencies.

Since: 2.2

### modulemd_component_emit_yaml_start ()

    gboolean
    modulemd_component_emit_yaml_start (ModulemdComponent *self,
                                        yaml_emitter_t *emitter,
                                        GError **error);

#### Parameters

self | This ModulemdComponent object. |
emitter | A libyaml emitter object positioned where Component start belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission error. | [out]

#### Returns

TRUE if the component header was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0

### modulemd_component_emit_yaml_build_common ()

    gboolean
    modulemd_component_emit_yaml_build_common
                                   (ModulemdComponent *self,
                                    yaml_emitter_t *emitter,
                                    GError **error);

#### Parameters

self | This ModulemdComponent object. |
emitter | A libyaml emitter object positioned where a Component's buildorder, buildafter and/or buildonly item(s) should appear in the YAML document. | [inout]
error | A GError that will return the reason for an emission error. | [out]

#### Returns

TRUE if the component buildorder, buildafter and/or buildonly item(s) were emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.2

### modulemd_component_equals_wrapper ()

    gboolean
    modulemd_component_equals_wrapper (const void *a,
                                       const void *b);

#### Parameters

a | A void pointer |
b | A void pointer |

#### Returns

TRUE, if both pointers are pointers to ModulemdComponent objects and both objects are equal. FALSE, otherwise.

Since: 2.5